Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions
Lucene::ExceptionTemplate< ParentException, Type > Class Template Reference

`#include <LuceneException.h>`

Inheritance diagram for Lucene::ExceptionTemplate< ParentException, Type >:

## Public Member Functions

| ExceptionTemplate (const String &error=EmptyString, LuceneException::ExceptionType type=Type)

## Constructor & Destructor Documentation

## ◆ ExceptionTemplate()

template<class ParentException , LuceneException::ExceptionType Type>

Lucene::ExceptionTemplate< ParentException, Type >::ExceptionTemplate | ( | const String & | error = `EmptyString`,
|  | LuceneException::ExceptionType | type = `Type`
| ) |  |

inline

The documentation for this class was generated from the following file:

- LuceneException.h

clucene.sourceforge.net